Create Project Invitations
POSThttps://api.confident-ai.com/v1/projects/{projectId}/invitations
Invites one or more users to a project by email. Emails that are already members or already invited are skipped. Optionally assign a project role to the invitees — the Owner role cannot be assigned. Inviting members is not available on the Free plan outside of the trial period.
curl -X POST "https://api.confident-ai.com/v1/projects/{projectId}/invitations" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"emails": [
"carol@example.com",
"dave@example.com"
],
"projectRoleId": "project-role-uuid-2"
}'{
"success": true,
"data": {
"invitations": [
{
"id": 201,
"email": "carol@example.com",
"status": "PENDING",
"created_at": "2024-12-04T23:00:00.000Z",
"projectRoleId": "project-role-uuid-2"
},
{
"id": 202,
"email": "dave@example.com",
"status": "PENDING",
"created_at": "2024-12-04T23:00:00.000Z",
"projectRoleId": "project-role-uuid-2"
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project.
Request body
emailslist of stringsRequiredOne or more email addresses to invite
projectRoleIdstringOptional project role id to assign to all invitees. The
Ownerrole cannot be assigned.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
invitationslist of objectsList of project invitations
Show 5 propertiesHide 5 properties
idintegerUnique identifier for the invitation
emailstringThe invited email address
statusenumThe current status of the invitation
Show 3 enum valuesHide 3 enum values
PENDINGACCEPTEDDECLINED
created_atstringISO 8601 timestamp of when the invitation was created
projectRoleIdstringThe id of the project role the invitee will receive, or
nullfor the default